﻿@model ICollection<UserAccountsViewModel>

@{
    var count = 1;
}

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Account number</th>
            <th scope="col">Balance</th>
            <th scope="col">Date</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var account in Model)
        {
            <tr>
                <th scope="row">@(count++)</th>
                <td>@account.AccountNumber</td>
                <td>@(account.Balance) USD</td>
                <td>@account.Date</td>
                <td>
                    <a asp-controller="Transaction" asp-action="SearchName" asp-route-senderAccountId="@account.Id">
                        <button type="submit" class="btn btn-outline-success">
                            Make payment
                        </button>
                    </a>
                </td>
                <td>
                    <a asp-controller="Account" asp-action="Delete" asp-route-id="@account.Id">
                        <button type="submit" class="btn btn-outline-danger">
                            Delete
                        </button>
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>

<div>
    <a class="btn btn-outline-secondary" onclick=activateForm() href="#">
        <form asp-controller="Account" asp-action="Create" method="post">
            <span class="text">Create account</span>
        </form>
    </a>
</div>

<script>
    function activateForm() {
        document.querySelector(".btn.btn-outline-secondary > form").submit()
    }
</script>